Skip to content
Proud to collaborate with Microsoft for Startups

docusign.envelope-consumer-disclosures.get-consumer-disclosure-envelope-id-recipient-id ​

Retrieves the default, HTML-formatted Electronic Record and Signature Disclosure (ERSD) for the envelope that you specify. This is the default ERSD disclosure that Docusign provides for the convenience of U.S.-based customers only. This default disclosure is only valid for transactions between U.S.-based parties. To set the language of the disclosure that you want to retrieve, use the optional langCode query parameter.

Gets the default Electronic Record and Signature Disclosure for an envelope.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
recipientidstringYes—A local reference used to map recipients to other objects, such as specific document tabs. A recipientId must be either an integer or a GUID, and the recipientId must be unique within an envelope. For example, many envelopes assign the first recipient a recipientId of 1.
langcodestringNo—(Optional) The code for the signer language version of the disclosure that you want to retrieve. The following languages are supported: - Arabic (ar) - Bulgarian (bg) - Czech (cs) - Chinese Simplified (zh_CN) - Chinese Traditional (zh_TW) - Croatian (hr) - Danish (da) - Dutch (nl) - English US (en) - English UK (en_GB) - Estonian (et) - Farsi (fa) - Finnish (fi) - French (fr) - French Canadian (fr_CA) - German (de) - Greek (el) - Hebrew (he) - Hindi (hi) - Hungarian (hu) - Bahasa Indonesian (id) - Italian (it) - Japanese (ja) - Korean (ko) - Latvian (lv) - Lithuanian (lt) - Bahasa Melayu (ms) - Norwegian (no) - Polish (pl) - Portuguese (pt) - Portuguese Brazil (pt_BR) - Romanian (ro) - Russian (ru) - Serbian (sr) - Slovak (sk) - Slovenian (sl) - Spanish (es) - Spanish Latin America (es_MX) - Swedish (sv) - Thai (th) - Turkish (tr) - Ukrainian (uk) - Vietnamese (vi) Additionally, you can automatically detect the browser language being used by the viewer and display the disclosure in that language by setting the value to browser.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
recipientidstringYes—A local reference used to map recipients to other objects, such as specific document tabs. A recipientId must be either an integer or a GUID, and the recipientId must be unique within an envelope. For example, many envelopes assign the first recipient a recipientId of 1.
langcodestringNo—(Optional) The code for the signer language version of the disclosure that you want to retrieve. The following languages are supported: - Arabic (ar) - Bulgarian (bg) - Czech (cs) - Chinese Simplified (zh_CN) - Chinese Traditional (zh_TW) - Croatian (hr) - Danish (da) - Dutch (nl) - English US (en) - English UK (en_GB) - Estonian (et) - Farsi (fa) - Finnish (fi) - French (fr) - French Canadian (fr_CA) - German (de) - Greek (el) - Hebrew (he) - Hindi (hi) - Hungarian (hu) - Bahasa Indonesian (id) - Italian (it) - Japanese (ja) - Korean (ko) - Latvian (lv) - Lithuanian (lt) - Bahasa Melayu (ms) - Norwegian (no) - Polish (pl) - Portuguese (pt) - Portuguese Brazil (pt_BR) - Romanian (ro) - Russian (ru) - Serbian (sr) - Slovak (sk) - Slovenian (sl) - Spanish (es) - Spanish Latin America (es_MX) - Swedish (sv) - Thai (th) - Turkish (tr) - Ukrainian (uk) - Vietnamese (vi) Additionally, you can automatically detect the browser language being used by the viewer and display the disclosure in that language by setting the value to browser.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/consumer_disclosure
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/consumer_disclosure
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.envelope-consumer-disclosures.get-consumer-disclosure-envelope-id-recipient-id",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "envelopeid": "value",
    "recipientid": "value"
  }
}